package com.sqx.modules.pay.service;

import com.sqx.common.utils.Result;
import com.sqx.modules.pay.entity.PayDetails;

import java.math.BigDecimal;


/**
 * @author fang
 * @date 2020/2/26
 */
public interface WxErrService {

    Result payMoney(Long id, BigDecimal money, Integer type, Integer userType) throws Exception;

    Result payOrder(Long userId, String indentNumber, Integer type, Integer userType) throws Exception;

    String payBack(String resXml,Integer type);;

    boolean wxRefund(PayDetails payDetails);

}